/*
 * Class PLATFORM
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_123 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_123 [] = {0xFF01,237,122,0xFFFF};
static const EIF_TYPE_INDEX egt_2_123 [] = {0xFF01,122,0xFFFF};
static const EIF_TYPE_INDEX egt_3_123 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_123 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_123 [] = {0xFF01,122,0xFFFF};
static const EIF_TYPE_INDEX egt_6_123 [] = {0xFF01,122,0xFFFF};
static const EIF_TYPE_INDEX egt_7_123 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_123 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_123 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_123 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_123 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_123 [] = {0xFF01,122,0xFFFF};


static const struct desc_info desc_123[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_123), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_123), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_123), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_123), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_123), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_123), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_123), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_123), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_123), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_123), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_123), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_123), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xF5 /*122*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_123), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1703, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1704, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1705, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1706, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1707, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1708, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1709, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1711, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1712, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1713, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1714, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1715, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1716, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1717, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1718, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1719, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1720, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1722, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1723, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1727, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1729, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1730, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1731, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1732, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1733, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1734, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1735, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1736, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1739, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1740, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1741, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1742, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1743, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1744, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1745, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1746, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1747, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1748, 0xFFFFFFFF},
};
void Init123(void)
{
	IDSC(desc_123, 0, 122);
	IDSC(desc_123 + 1, 1, 122);
	IDSC(desc_123 + 32, 323, 122);
}


#ifdef __cplusplus
}
#endif
